|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QStyleOptionFocusRect Class Reference
[QtGui module]

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle. More...

    #include <QStyleOptionFocusRect>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Functions

- QStyleOptionFocusRect ()
- QStyleOptionFocusRect ( const QStyleOptionFocusRect & other )

- 2 public functions inherited from QStyleOption

### Public Variables

- QColor backgroundColor

- 7 public variables inherited from QStyleOption

### Static Public Members

- const int Type
- const int Version

- 2 static public members inherited from QStyleOption

## Detailed Description

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle.

## Member Function Documentation

### QStyleOptionFocusRect::QStyleOptionFocusRect ()

Constructs a QStyleOptionFocusRect. The members variables are initialized to default values.

### QStyleOptionFocusRect::QStyleOptionFocusRect ( const QStyleOptionFocusRect & other )

Constructs a copy of the other style option.

## Member Variable Documentation

### const int QStyleOptionFocusRect::Type

Equals SO_FocusRect.

### const int QStyleOptionFocusRect::Version

Equals 1.

### QColor QStyleOptionFocusRect::backgroundColor

This variable holds the background color on which the focus rectangle is being drawn.